/*
 * Create CSS overrides in this file to  meet your branding requirements.
 */

/*
 * TODO: fill out some examples
 */

* {
	font-family: Arial, Tahoma, Verdana, Helvetica, sans-serif;
	outline: none
}

html, body {
	color: #111;
	font-size: 12px;
	margin: 0;
	padding: 0;
}

body {background: #EBEBEB} 

/* body {background: #e26421}  */



a {text-decoration: none}

a.tab {
	display: block;
	text-align: center;
	width: 80px
}

hr {
	background-color: #666;
	border: 0;
	height: 1px
}

.button, .input {
	background: #FFF;
	border: 1px solid #999;
	-moz-border-radius: 4px;
	padding: 1px;
	-webkit-border-radius: 4px
}

.buttoninner, .inputinner {
	background: url(images/button.gif) repeat-x;
	color: #333;
	height: 18px;
	line-height: 17px;
}
	
.buttoninner:hover, .inputinner {background-position: 0 -16px}
.inputinner:focus, .buttoninner:focus {background-position: 0 -36px}
	
.buttoninner a {color: #333}
.buttoninner a:hover {color: #000}

input[type="text"],
input[type="button"],
input[type="password"],
textarea {
	background: #FFF;
	border: 1px solid #666;
	color: #333;
	font-size: 9pt;
	padding: 1px 3px
}

select {
	border: 1px solid #666;
	cursor: pointer
}

option {background: #FFF}

input, textarea {
	background-color: expression(this.type=='checkbox' || this.type=='radio' ? 'transparent' : '#ffffff');
	border-color: expression(this.type=='checkbox' || this.type=='radio' ? '' : '#666666');
	border-style: expression(this.type=='checkbox' || this.type=='radio' || this.id=='quicksearchbox' ? 'none' : 'solid');
	border-width: expression(this.type=='checkbox' || this.type=='radio' ? '0' : '1px');
	color: #333;
	padding-left: 3px;
	padding-right: 3px
}

input.button {
	background: #DFDFDF url(images/listheader_aqua.gif) repeat-x;
	border: 1px solid #a4a4a4;
	color: #333;
	cursor: pointer;
	font-size: 11px;
	height: 24px;
	padding: 2px 8px 4px
}

input.button:hover {
	background: #EBEBEB url(images/toolbar.gif) repeat-x;
	color: #000
}

input.mainaction {font-weight: bold}

img {
	behavior: url('skins/default/pngbehavior.htc');
	border: 0
}

.alttext {font-size: 11px}

.hint {
	color: #666;
	font-size: 11px
}

#lm_message {
	display: none;
	filter: alpha(opacity=85);
	left: 200px;
	opacity: 0.85;
	position: absolute;
	right: 200px;
	top: 0;
	z-index: 5000
}

#lm_message div {
	height: 24px;
	margin: 0 auto;
	-moz-border-radius: 4px;
	-moz-box-shadow: #333 0 0 8px;
	min-height: 24px;
	padding: 8px 10px 8px 46px;
	-webkit-border-radius: 4px;
	-webkit-box-shadow: #333 0 0 8px;
	width: 400px;
}

#lm_message div.notice,
#messagebody .part-notice,
#remote-objects-message {
	background: url(images/display/info.png) 6px 3px no-repeat;
	background-color: #F7FDCB;
	border: 1px solid #C2D071;
}
#lm_message div.error, 
#lm_message div.warning {
	background: url(images/display/warning.png) 6px 3px no-repeat;
  background-color: #EF9398;
  border: 1px solid #DC5757;
}

#lm_message div.confirmation {
	background: url(images/display/confirm.png) 6px 3px no-repeat;
  background-color: #A6EF7B;
  border: 1px solid #76C83F;
}

#lm_message div.loading {
  background: url(images/display/loading.gif) 6px 3px no-repeat;
  background-color: #EBEBEB;
  border: 1px solid #CCCCCC;
}

.popup {
	background: #FFF url(images/popup.gif) repeat-x;
	border: 1px solid #FFF;
	display: none;
	left: 90px;
	-moz-border-radius: 4px;
	-moz-box-shadow: #333 0 0 8px;
	padding: 1px;
	position: absolute;
	top: 32px;
	-webkit-border-radius: 4px;
	-webkit-box-shadow: #333 0 0 8px;
	width: auto;
	z-index: 240
}

#aboutmenu {
	padding: 20px;
	width: 300px;
}
	
#wrapper {
	bottom: 4px;
	left: 4px;
	position: absolute;
	right: 6px;
	top: 4px
}

#titlebar {
	background: #EBEBEB url(images/appmenu.gif) repeat-x;
	border: 1px solid #999;
	height: 26px;
	width: 100%;
}

#appmenu {
	float: left;
	height: 26px
}
		
#appmenu ul {
	list-style: none;
	margin: 0;
	padding: 0;
}
			
#appmenu li {float: left}
				
#appmenu li a {
	color: #484848;
	display: block;
	font-size: 12px;
	height: 22px;
	line-height: 21px;
	margin: 2px;
	padding: 0 8px;
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
}
					
#appmenu li a:hover, 
#appmenu li a:focus, 
#appmenu li a:active {
  background: #C5C5C5; 
  color: #282828
}
					
#appmenu .popup li {
	float: none;
	z-index: 1000;
}
			
#appmenu .popup li a {
	margin: 0;
	*width: 130px;/* need to review and see if this should maybe just be set in iehacks.css */
}
			
#searchbar {
	float: right;
	height: 18px;
	margin: 2px 3px 0 0;
	width: 200px;
}
    
#titlebar label {
  cursor: pointer;
  float: right;
  font-size: 12px;
  font-weight: bold;
  line-height: 25px;
  padding: 0 8px;
}
	
#searchbar form {
	margin: 0;
	padding: 0;
}
		
#quicksearchbox {
	background: transparent;
	border: 0;
	height: 16px;
	float: left;
	line-height: 16px;
	font-size: 11px;
	padding: 2px 2px 0;
	width: 178px;
}
			
#searchmod {
	background: url(images/dropdown.gif) no-repeat center 8px;
	display: block;
	float: right;
	height: 18px;
	font-size: 0;
	margin: 0;
	text-indent: -10000px;
	width: 17px;
}
		
#searchmod:hover {
	background-color: #CCC;
	background-position: center -6px;
	-moz-border-radius: 4px;
	-webkit-border-radius: 4px;
}
		
#searchclear {
	float: right;
	margin: 2px 3px 0 0;
}
	
#searchreset {
	display: block;
	padding: 0 8px;
}
		
#searchfilter {
	float: right;
	margin: 2px 3px 0 0;
}
		
#searchfilter select {
	background: #FFF;
	border: 0;
}

#messagetoolbar {
	background: #F1F1F1 url(images/toolbar.gif) repeat-x;
	border: 1px solid #999;
  border-top: 0;
  height: 53px;
	width: 100%;
}
	
#logo {
  float: left;
  padding: 6px 15px 0 5px;
}

#rightlogo {
  float: right;
  height: 53px;
  width: 338px;
  /* background: transparent url(images/right-logo.png); */
}


ul.toolbarmenu {
	margin: 0;
	padding: 0;
	list-style: none;
}

ul.toolbarmenu li {
	font-size: 11px;
	min-width: 130px;
	width: 130px;
	white-space: nowrap;
}
		
ul.toolbarmenu li a {
	color: #444;
  display: block;
  padding: 2px 8px 3px 22px;
  text-decoration: none;
  min-height: 14px; /*note: this does NOT have an effect in IE */
}
			
ul.toolbarmenu .active:hover, #appmenu .popup li a:hover {background: #314057 url(images/selected.gif) repeat-x; color: #fff}

ul.toolbarmenu li input{ vertical-align: middle}

#markmessagemenu li a {cursor: default}
#markmessagemenu li a.active {cursor: pointer}

#markmessagemenu,
#searchmenu,
#messagemenu
{
    position: absolute;
    top: 32px;
    left: 90px;
    width: auto;
    display: none;
    background-color: #F9F9F9;
    border: 1px solid #CCC;
    padding: 1px;
    opacity: 0.9;
    z-index: 240;
}

.splitter {
	background: url(images/dimple.png) center no-repeat;
	-khtml-user-select: none;
	-moz-user-select: none;
	position: absolute;
	user-select: none
}

.splitter-h {background-position: center 2px;cursor: n-resize}
.splitter-v {background-position: 2px center;cursor: e-resize}

.boxtitle {
	background: #DEDBDE url(images/listheader_aqua.gif) repeat-x;
	border-bottom: 1px solid #999;
	color: #333;
	font-size: 11px;
	font-weight: bold;
	height: 12px;
	padding: 2px 10px 5px 10px
}

/***** common table settings ******/

table.records-table thead tr td {
	background-color: #EBEBEB;
	background-image: url(images/listheader_aqua.gif); 
	border-bottom: 1px solid #999;
	color: #333;
	height: 20px;
	font-size: 11px;
	font-weight: bold;
	padding: 0 4px;
	vertical-align: middle
}

table.records-table tbody tr td {
	border-bottom: 1px solid #EBEBEB;
	font-size: 11px;
	height: 16px;
	overflow: hidden;
	padding: 2px 4px;
	text-align: left;
	white-space: nowrap
}

table.records-table tr {background: #FFF}

	table.records-table tr.selected td {
		background: url(images/selected.gif) repeat-x;
		color: #FFF;
	}
    
        table.records-table tr td a {color: #38586D}
        table.records-table tr td a:hover {color: #000}
    
        table.records-table tr.selected td a {color: #FFF}
        table.records-table tr.selected td a:hover {color: #FB0}

	table.records-table tr.unfocused td {
		background-color: #929292;
		color: #FFF;
	}

/***** roundcube webmail pre-defined classes *****/

#rcversion {
	color: #999;
	font-size: x-small;
	font-variant: small-caps;
	font-weight: normal;
	left: 20px;
	position: absolute;
	text-align: center;
	top: 67px;
	width: 160px
}

#rcmdraglayer {
	background-color: #F9F9F9;
	border: 1px solid #999;
	filter: progid:DXImageTransform.Microsoft.Alpha(opacity=70);
	font-size: 11px;
	min-width: 300px;
	-moz-opacity: 0.7;
	opacity: 0.7;
	padding: 3px 8px;
	width: auto !important;
	width: 300px;
	white-space: nowrap
}

#rcmKSearchpane {
	background-color: #F9F9F9;
	border: 1px solid #CCC
}

	#rcmKSearchpane ul {
		list-style: none;
		margin: 0;
		padding: 2px;
	}

		#rcmKSearchpane ul li {
			cursor: pointer;
			display: block;
			font-size: 11px;
			height: 16px;
			padding: 2px 6px 0;
			white-space: nowrap;
		}

		#rcmKSearchpane ul li.selected {
			background: #314057 url(images/selected.gif) repeat-x;
			color: #FFF;
		}

#LoginBody {
    background: #FFF url(images/bg.gif) repeat-x;
    text-align: center;
}

    #LoginBody #Wrapper {
        bottom: 0;
        left: 0;
        position: absolute;
        right: 0;
        top: 0;
    }
        
        #loginlogo {	margin: 60px auto 0}
                
        #login-form {
            border: 1px solid #999;
            margin: 20px auto 0;
            -moz-border-radius: 5px;
            -webkit-border-radius: 5px;
            width: 400px
        }

            #login-form table {
                margin: auto;
                width: 1%;
            }
            
            #login-form .boxtitle {
                font-size: 14px;
                height: auto;
                line-height: 16px;
                -moz-border-radius: 4px 4px 0 0;
                padding: 3px 10px;
                -webkit-border-top-left-radius: 4px;
                -webkit-border-top-right-radius: 4px;
            }

                #login-form table td.title {
                    color: #222;
                    padding-right: 10px;
                    text-align: right;
                    white-space: nowrap;
                }
                
                #login-form table input {
                    -moz-border-radius: 3px;
                    -webkit-border-radius: 3px;
                }

            #login-form .boxcontent {
                background: #dedede;
		-moz-border-radius: 0 0 4px 4px;
                padding: 20px 10px 10px;
                -webkit-border-bottom-left-radius: 4px;
                -webkit-border-bottom-right-radius: 4px;
                border-top: 2px solid #fff;
            }
            
                #login-form .mainaction {
                    font-size: 14px;
                    padding: 0 12px 2px;
                }

#copyright {
    background: #FFF;
    color: #000;
    filter: alpha(opacity=70);
    font-size: 10px;
    font-weight: bold;
    margin: 8px auto;
    -moz-border-radius: 8px;
    padding: 8px 0;
    opacity: 0.7;
    -webkit-border-radius: 8px;
    width: 380px;
} 

    #copyright a {color: #000}
    #copyright a:hover {color: #222}

#quicklaunch a,
#listbottom a,
#messagetoolbarbuttons a {
    text-align: center;
    width: 64px;
    font-size: 11px;
    line-height: 10px;
    float: left;
    color: #000;
    padding: 0;
    height: 64px;
}

#quicklaunch img,
#listbottom img,
#messagetoolbarbuttons img {
  margin-left: 16px;
  margin-right: 16px;
  width: 32px;
}

#secondary_logo {
    float:right;
    padding-top: 5px;
}

#mainbody {
  position: absolute;
  top: 102px;
  width: 100%;
  bottom: 0;
  /* IE hack...review to see if it should just go in iehacks.css... */
  height: expression((parseInt(this.parentNode.offsetHeight)-102)+'px');
}

#leftframe {
  bottom: 0;
  left: 0;
  /*overflow: hidden;*/
  position: absolute;
  top: 0;
  width: 160px;
  padding: 2;
}

#quicklaunch,
#listtop,
#listbottom {
  background: #fff;
  height: auto;
  overflow: auto;
  position: absolute;
  border: 1px solid #999;
  width: 99%;
}

#listtop, 
#listbottom {
  left: 0;
}

#quicklaunch,
#listbottom {
  bottom: 0;
  padding-top: 5px;
}

#quicklaunch {
  height: 100%;
}

#rightframe {
  bottom: 0;
  left: 176px;
  position: absolute;
  right: 0;
  top: 0px;
  /* IE hack...review to see if it should just go in iehacks.css... */
  width: expression((parseInt(this.parentNode.offsetWidth)-176)+'px')
}
